> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/media/asset.md).

# Asset

### View and edit asset

Details for the selected asset can be viewed and edited in the asset page.

{% hint style="info" %}
Based on the model setup of the asset type defined by the user, there could be multiple tabs with properties to edit.
{% endhint %}

### View previous versions

1. Click the "Versions"-icon to the left of the image preview.
2. Select the previous version to view.

### Replace file

1. Click the "Replace file"-icon to the left of the image preview.
2. Drag and drop a file or click to select from device.

### Download file

1. Click the "Download"-icon to the left of the image preview.

### Add hotspot

1. Click the "Hotspots"-icon to the left of the image preview.
2. Click the "Add hotspot"-button to create a hotspot that now can be placed on the image with the pointer of the mouse.
3. Create hotspot.

### Delete hotspot

1. Click the "Hotspots"-icon to the left of the image preview.
2. Click the "Delete"-icon on the hotspot.

### Edit hotspot

1. Click the "Hotspots"-icon to the left of the image preview.
2. Click on the hotspot you wish to edit.
3. Edit hotspot.

### Add tag

1. Click in the "New tag..."-field in the Tags area.
2. &#x20;Select tag to add to asset.

### Add shortcut

1. Click the "Add shortcut"-icon at the top of the page.
2. Enter title and select folder to store shortcut.
3. Click the "Add shortcut"-button when done.

### Hide hotspots

1. Click the "Hide hotspots"-icon in the top right of the image preview.

### Watch asset

1. Click the "Watch"-icon at the top of the page.
2. You will now receive notifications when changes are made to the asset.

### Change language

1. Click on the "Language"-dropdown at the top of the page.
2. Select language.

{% hint style="info" %}
If the PIM has defined dimension and dimension segments they can be changed as well for the asset.
{% endhint %}

### Show fallback values

1. Click the "Show fallback value"-icon to display fallback values globally where current value is empty.

### Enable translation mode

1. Click the "enable translation mode"-icon.&#x20;
2. Follow instructions from the AI Assistant.

### View revision log

1. Click the "Revision log"-icon in the top right corner of the page.
2. Each change can be viewed in details by clicking the "Show details"-icon.
3. Each change past the initial can be rolled back by clicking the "Rollback"-icon.

{% hint style="info" %}
The revisions on an asset can we viewed in a timeline or by field in the revision log.
{% endhint %}

### Copy url

1. Click the "Copy to clipboard"-button in the General information section to copy the url for the asset file to the clipboard.

{% hint style="info" %}
For more information about the details of an assets go here: [Asset details](/reference/media/asset/asset-details.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/media/asset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
